#imageUploader {
	display: none;
	position: fixed;
	top: 0%;
	left: 0%;
	width: 100%;
	height: 100%;
	background-color: black;
	z-index: 50;
	-moz-opacity: 0.8;
	background: rgba(0, 0, 0, 0.7);
	/* opacity: .7; */
	filter: alpha(opacity = 80);
}

#imageUploaderPop {
	display: block;
	position: absolute;
	top: 5%;
	left: 5%;
	bottom: 5%;
	right: 5%;
	padding: 16px;
	border: 16px solid orange;
	background-color: white;
	z-index: 51;
	opacity: 218;
	/* overflow: auto; */
}

#imageUploaderHeader {
	/* display: block; */
	/* background-color: #dc2020; */
	
}

#imageUploaderContent {
	display: block;
	position: absolute;
	top: 60px;
	left: 0%;
	bottom: 0%;
	right: 0%;
	-webkit-overflow-scrolling: touch;
	overflow: auto;
}

#imagePreviousContent {
	display: none;
	position: absolute;
	top: 60px;
	left: 0%;
	bottom: 0%;
	right: 0%;
	-webkit-overflow-scrolling: touch;
	overflow: auto;
	display: flex;
	align-items: center;
	flex-flow: row;
	flex-wrap: wrap;
	justify-content: center;
}

.previousThumb {
	position: relative;
	width: 200px;
	height: 200px;
	overflow: hidden;
	margin: 8px;
}

.previousThumb img {
	position: absolute;
	left: 50%;
	top: 50%;
	height: 100% !important;
	width: auto !important;
	-webkit-transform: translate(-50%, -50%);
	-ms-transform: translate(-50%, -50%);
	transform: translate(-50%, -50%);
}

.previousThumb img.portrait {
	width: 100% !important;
	height: auto !important;
}

#imageUploaderTitle {
	margin-top: 15px;
	font-size: x-large;
	color: #596f71;
}

#imageUploaderInstructions {
	font-size: large;
	color: #596f71;
}

.sendButton {
	
}

#errorDisplay {
	
}

.errorShow {
	display: block;
}

.errorHide {
	display: none;
}

.progressContainer {
	position: relative;
	width: 100%;
	height: 30px;
	background-color: #ddd;
	text-align: center; /* padding-top: 20px; */
}

.results {
	display: none;
}

.resultsShow {
	display: block;
}

.ajaxImageProgress {
	position: absolute;
	width: 1%;
	height: 100%;
	background-color: #5b9ce2;
}

.ajaxImageProgressText {
	display: inline-block;
	font-family: Consolas;
	font-size: 16px;
	color: #424348;
	position: absolute;
	top: 7px;
	left: 30px;
	/* margin-left: auto; */
	/* margin-right: auto; */
	z-index: 1;
	/* text-align: center; */ //
	width: 100%;
	width: calc(100% - 60px);
}

.ajaxImageCanvass {
	display: none;
}

.spDelete {
	font-family: Consolas;
	font-size: 16px;
	color: #000000;
	/* background-color: antiquewhite; */
	position: absolute;
	top: 1px;
	right: 1px;
	height: 25px;
	z-index: 1;
	border: 0px #eeeef5;
	border-style: solid;
	/* background-color: ghostwhite; */
	border-radius: 4px;
}

.spImage {
	display: inline-block;
	position: relative;
	margin: 8px;
	padding: 10px;
	border: 1px inset #446;
	border: 2px #eeeef5;
	border-style: solid;
	background-color: ghostwhite;
	border-radius: 7px;
	overflow: hidden;
	height: 265px;
	width: 200px;
}

.spImgContainer {
	/* display: none; */
	position: relative;
	/* width: 200px; */
	height: calc(100% - 72px);
	overflow: hidden;
	background-color: gainsboro;
}

.spImage div .spTargetImg {
	/* position: absolute; */
	/* left: 50%; */
	/* top: 50%; */
	height: 100%;
	width: auto;
	/* -webkit-transform: translate(-50%, -50%); */
	/* -ms-transform: translate(-50%, -50%); */
	/* transform: translate(-50%, -50%); */
	/* display: none; */
}

.thumbnail img {
	position: absolute;
	left: 50%;
	top: 50%;
	height: 100%;
	width: auto;
	-webkit-transform: translate(-50%, -50%);
	-ms-transform: translate(-50%, -50%);
	transform: translate(-50%, -50%);
}

.thumbnail img.portrait {
	width: 100%;
	height: auto;
}

.spCaption {
	/* width:90%; */
	/* margin-left: auto; */
	/* margin-right: auto; */
	
}

.spCaption textarea {
	-webkit-user-select: text !important;
	-khtml-user-select: text !important;
	-moz-user-select: text !important;
	-ms-user-select: text !important;
	user-select: text !important;
	width: 100%;
	height: 40px;
	margin-top: 3px;
}

spImage div input {
	height: 100px;
	width: 100px;
}

#uploadPreviewDescription {
	/* clear: none; */
	display: inline-block;
	border: 2px #eeeef5;
	border-style: solid;
	/* background-color: ghostwhite; */
	border-radius: 7px;
	padding: 10px;
	margin: 8px;
	width: 200px;
	height: 253px;
	overflow: hidden;
}

#uploadPreview {
	/* margin-left: auto; */
	/* margin-right: auto; */
	display: inline-block;
	/* position: relative; */
	/* float: right; */
	/* right: -50%; */
	/* text-align: center; */
	/* vertical-align: text-top; */
	/* height: 800px; */
	display: flex;
	align-items: center;
	flex-flow: row;
	flex-wrap: wrap;
	justify-content: center;
}

#uploadPreview img {
	display: inline-block;
}

#uploadPreview span {
	display: inline-block;
	/* font-size: inherit; */
	/* background-color: aliceblue; */
}

#uploadButton {
	float: right;
}

#cancelUploadButton {
	float: left;
}

#doneUploadButton {
	float: right;
	display: none;
}

.imgButton {
	display: inline-block;
	height: 35px;
	background-color: #758c8e;
	font-size: large;
	color: #f1eeee;
	padding: 5px;
	padding-left: 10px;
	padding-right: 10px;
	border-radius: 7px;
	margin-top: -3px;
}

#optionsButton {
	margin-left: 20px;
}

#optionsButton img {
	width: 20px;
	height: 20px;
}

#optionsButton span {
	padding-left: 3px;
}

.notReadyToSend {
	display: none;
}

.readyToSend {
	display: block;
	/* float: right; */
	text-align: center;
}

#imgOptionsForm {
	display: none;
	position: fixed;
	top: 0%;
	left: 0%;
	width: 100%;
	height: 100%;
	background-color: black;
	z-index: 52;
	-moz-opacity: 0.8;
	background: rgba(0, 0, 0, 0.7);
	/* opacity: .7; */
	filter: alpha(opacity = 80);
	/* text-align: center */
	/* align-items: center; */
	align-items: center;
	justify-content: center;
}

#imgOptionsFormInner {
	/* position: absolute; */
	display: block;
	/* z-index: 53; */
	background-color: white;
	padding: 50px;
	border: 4px solid #758c8e;
	border-radius: 7px;
	/* top: 5%; */
	/* left: 5%; */
	/* bottom: 5%; */
	/* right: 5%; */
	max-width: 320px;
	min-width: 320px;
	/* margin-left: auto; */
	/* margin-right: auto; */
}

.imgOptionsClose {
	float: right;
	margin-top: 10px;
}

#imgWaterMark {
	display: none;
}

#imgWaterMarkText {
	font-family: Arial;
	font-size: 14px;
	width: 100%;
	margin-top: 10px;
	margin-bottom: 10px;
	background-color: #c7dadc;
}

#imgWaterMarkColor {
	font-family: Arial;
	font-size: 14px;
	width: 100%;
}

.imgOptionsRadio {
	margin-top: 20px;
}

.imgOptionsRadio span {
	
}

.imgOptionsRadio div {
	margin-left: 15px;
	margin-top: 10px;
}

#pickButton {
	background-color: #758c8e;
	font-size: x-large;
	color: #f1eeee;
	padding: 5px;
	margin-top: 20px;
	border-radius: 7px;
}

#returnButton {
	background-color: #758c8e;
	font-size: x-large;
	color: #f1eeee;
	padding: 5px;
	/* margin-top: 20px; */
	border-radius: 7px;
	float: right;
	/* top: 1px; */
}

.box__icon {
	width: 100%;
	height: 77px;
	fill: #758c8e;
	display: block;
	margin-bottom: 20px;
	margin-top: 20px;
}

#imgDragBox {
	/* min-height: 100px; */
	/* display: block; */
	/* text-align: center; */
	/* width: 100%; */
	/* position: relative; */
	/* float: right; */
	/* right: 50%; */
	text-align: center;
	/* display: inline-block; */
	position: relative;
	top: 50%;
	/* transform: translateY(25%); */
}

.dragLeave {
	background-color: lightgrey;
}

.dragOver {
	background-color: white;
}

.spImgMenuPopup {
	display: block;
	position: absolute;
	top: 25px;
	background-color: #b9b9b9;
	list-style-type: none;
	padding: 0;
	margin-left: 5px;
	margin-top: 15px;
}

.spImgMenuPopup li {
	background-color: #dddddd;
	text-align: left;
	padding-top: 2px;
	padding-bottom: 2px;
	margin: 3px;
	display: flex;
	align-items: center;
	flex-flow: row;
	flex-wrap: wrap;
	justify-content: center;
}

.spImgMenuPopup img {
	width: 20px;
}

.spImgMenu {
	height: 20px;
	width: 20px;
	float: left;
	color: #b9b9b9;
	margin: 5px;
}

#imgPreviousSearch {
	display: none;
flex-flow: row;
}
	#imageSearchText{
	flex: 1 auto;
	}
#imgPreviousSearch button{
flex: 1 auto auto;
}
	#doneUploadButton {
flex: 1 auto auto;
margin-left:40px;
	}


@media screen and (max-width: 480px) {
	#optionsButton {
		margin-left: 8px;
	}
	#optionsButton span {
		display: none;
		margin-left: 8px;
	}
	.spImage {
		height: 325px;
		width: 100%;
	}
	#doneUploadButton {

margin-left:5px;
	}



}



